[arch-dev-public] Libtool issues

Eric Belanger belanger at ASTRO.UMontreal.CA
Mon Mar 3 22:22:17 EST 2008

On Mon, 3 Mar 2008, Tobias Kieslich wrote:

> 	Doing my exiv2 update I saw that this time really some packages must
> be rebuilt. However, digikam can't be rebuilt because it depends on a
> libgphoto2 that was rebuilt with libtool-1.x based version. libgphoto2
> can't be rebuild with libtool2 because it just bails. I have not found
> any patch/hint how to fix that. Can anyone come up with an idea? I have
> no real libtool experience.
> 	-T

The configure script aborts because it checks for a function 
(lt_dlcaller_register) in libltdl.so that was removed in libtool 2.2 
(obsolete API). That function doesn't seem to appear anywhere in the code 
so you could make a patch that will remove that check in the configure 
script. Hopefully, the configure script will end  successfully and 
libgphoto2 will then build/work fine.


This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

More information about the arch-dev-public mailing list